Skip to main content
GET
/
resources
/
v1
Retrieve resources
curl --request GET \
  --url https://api.spacebring.com/resources/v1 \
  --header 'Authorization: Basic <encoded-value>'
{
  "resources": [
    {
      "autoRelease": {
        "enabled": true,
        "interval": "fiveMinutes"
      },
      "avigilonAltaGroupRef": "<string>",
      "bookingPermission": "admins",
      "bookingStepMinutes": 123,
      "brivoGroupRef": "<string>",
      "capacity": 123,
      "checkIn": {
        "interval": "zeroMinutes"
      },
      "confirmationEmail": {
        "bookingCreatedByAdmin": true,
        "bookingCreatedByMember": true,
        "bookingCreatedByNetworkMember": true,
        "bookingCreatedByPublic": true,
        "template": "<string>"
      },
      "createDate": "2023-11-07T05:31:56Z",
      "credits": {
        "enabled": true,
        "price": 123,
        "tiers": [
          {
            "flatAmount": 123,
            "from": 123,
            "unitAmount": 123,
            "upTo": 123
          }
        ]
      },
      "dayPassesEnabled": true,
      "description": "<string>",
      "dynamicPricing": {
        "deltaAbove": 123,
        "deltaBelow": 123,
        "enabled": true
      },
      "duration": {
        "max": 123,
        "min": 123,
        "public": {
          "enabled": true,
          "max": 123,
          "min": 123
        }
      },
      "googleCalendar": {
        "id": "<string>",
        "twoWaySyncEnabled": true
      },
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "image": {
        "key": "<string>"
      },
      "imageUrl": "<string>",
      "kisiGroupRef": 123,
      "locale": "<string>",
      "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "money": {
        "enabled": true,
        "price": 123,
        "tiers": [
          {
            "flatAmount": 123,
            "from": 123,
            "unitAmount": 123,
            "upTo": 123
          }
        ]
      },
      "networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "parentRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "plans": {
        "enabled": true,
        "tiers": [
          {
            "entire": true,
            "plan": {
              "commitmentCycles": 123,
              "credits": 123,
              "dayPasses": 123,
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "period": "day",
              "price": 123,
              "title": "<string>"
            },
            "commitmentCycles": 123,
            "credits": 123,
            "dayPasses": 123,
            "description": "<string>",
            "discounts": {
              "creditPackages": 123,
              "desks": 123,
              "equipment": 123,
              "events": 123,
              "rooms": 123,
              "shop": 123
            },
            "ezeepBlueGroupRef": "<string>",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "period": "<string>",
            "price": 123,
            "selfSignupType": "<string>",
            "setupFee": 123,
            "title": "<string>"
          }
        ]
      },
      "preparationMinutes": "zeroMinutes",
      "refundThreshold": "noRefund",
      "saltoksAccessGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "schedule": {
        "default": {
          "closedDays": [
            "<string>"
          ],
          "items": [
            {
              "days": {
                "friday": true,
                "monday": true,
                "saturday": true,
                "sunday": true,
                "thursday": true,
                "tuesday": true,
                "wednesday": true
              },
              "hours": {
                "from": "<string>",
                "to": "<string>"
              }
            }
          ]
        },
        "enabled": true,
        "public": {
          "closedDays": [
            "<string>"
          ],
          "enabled": true,
          "items": [
            {
              "days": {
                "friday": true,
                "monday": true,
                "saturday": true,
                "sunday": true,
                "thursday": true,
                "tuesday": true,
                "wednesday": true
              },
              "hours": {
                "from": "<string>",
                "to": "<string>"
              }
            }
          ]
        }
      },
      "tapkeyGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "type": "dedicatedDesk",
      "visibility": "admins"
    }
  ]
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

locationRef
string<uuid>
required

The id of the location.

types
enum<string>

The types of resources to retrieve. Pass them as comma separated values.

Available options:
hotDesk,
dedicatedDesk,
office,
parkingLot,
room

Response

OK

resources
object[]